# These are external variables, and shouldn't clash with anything else
#  @CNAME@
#  @CNAME@_BUILT
#

if [ -z ${@CNAME@_BUILT} ]
then
    @CNAME@="obj/@NAME@"
    EXTRAS="" # @TODO@ cflags, libs

    echo "Building application ${@CNAME@}..."

    do_cmd source src/@NAME@/build.monolithic || return 1

    MODIFIED=0
    for test in ${MONOLITHIC_TESTS} ${SRC}
    do
        if [ ${test} -nt ${@CNAME@} ]
        then
            MODIFIED=1
            break
        fi
    done

    if [ ${MODIFIED} -ne 0 ]
    then
        echo " Compiling..."

        do_cmd ${CXX} ${CFLAGS} -Iobj -o "${@CNAME@}" ${SRC} ${EXTRAS} || return 1

        print_success "Application built"
    else
        print_success "Application up to date"
    fi

    @CNAME@_BUILT=1

fi

# kate: @KATE_MODELINE@
# vim: @VIM_MODELINE@
